Bug 1467670 - pcsc-lite-libs: missing file named libpcsclite.so in libdir
pcsc-lite-libs: missing file named libpcsclite.so in libdir
Product: Fedora
Classification: Fedora
Component: pcsc-lite (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bob Relyea
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2017-07-04 09:52 EDT by zzambers
Modified: 2017-07-10 03:09 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-07-10 03:09:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description zzambers 2017-07-04 09:52:44 EDT
Description of problem:
File libpcsclite.so is not present in /usr/lib64 ( only libpcsclite.so.1 and libpcsclite.so.1.0.0 ). 

ls -l /usr/lib64/ | grep libpcsclite

lrwxrwxrwx   1 root root       20 Jan  2  2017 libpcsclite.so.1 -> libpcsclite.so.1.0.0
-rwxr-xr-x   1 root root    44992 Jan  2  2017 libpcsclite.so.1.0.0

However existence of libpcsclite.so file is required by some software.
Comment 1 Nikos Mavrogiannopoulos 2017-07-04 10:20:46 EDT
rpm -qvl pcsc-lite-devel|grep libpcsclite.so
lrwxrwxrwx    1 root    root                       20 Jan  2  2017 /usr/lib64/libpcsclite.so -> libpcsclite.so.1.0.0

The .so files are provided by the -devel subpackages.
Comment 2 jiri vanek 2017-07-07 09:46:07 EDT

Why so? It do not have sense... There are other files in devel subpackage,  which are ok here. But the versionless symlink really should be in main package alongside with versionful file.

I dared to reopen. Sorry for inconvenience.
Comment 3 Ludovic Rousseau 2017-07-07 10:26:31 EDT
Jiri, if your application is using the file libpcsclite.so then it is a mistake and the program should be fixed.

Use libpcsclite.so.1 instead.
Or you will have a big surprise when the ABI is changed and a new libpcsclite.so.2 is provided. libpcsclite.so will then point to libpcsclite.so.2 and that is NOT what you want.

If you think I am wrong please explain why.
Comment 4 Nikos Mavrogiannopoulos 2017-07-10 03:09:00 EDT
Please use the mailing lists for discussion. .so files are development files used for linking only.

Note You need to log in before you can comment on or make changes to this bug.